GDCM: gdcm::PresentationContext Class Reference

GDCM 3.2.11

Public Types | Public Member Functions | Protected Attributes | List of all members
gdcm::PresentationContext Class Reference

PresentationContext. More...

`#include <gdcmPresentationContext.h>`

Collaboration diagram for gdcm::PresentationContext:
[legend]

## Public Types
typedef TransferSyntaxArrayType::size_type | SizeType
typedef std::vector< std::string > | TransferSyntaxArrayType

## Public Member Functions
| PresentationContext ()
| PresentationContext (UIDs::TSName asname, UIDs::TSName tsname=UIDs::ImplicitVRLittleEndianDefaultTransferSyntaxforDICOM)
void | AddTransferSyntax (const char *tsstr)
const char * | GetAbstractSyntax () const
SizeType | GetNumberOfTransferSyntaxes () const
uint8_t | GetPresentationContextID () const
const char * | GetTransferSyntax (SizeType i) const
bool | operator== (const PresentationContext &pc) const
void | Print (std::ostream &os) const
void | SetAbstractSyntax (const char *absyn)
void | SetPresentationContextID (uint8_t id)

## Protected Attributes
std::string | AbstractSyntax
uint8_t | ID
std::vector< std::string > | TransferSyntaxes

## Detailed Description

PresentationContext.

See also
  PresentationContextAC PresentationContextRQ

## Member Typedef Documentation

## ◆ SizeType

typedef TransferSyntaxArrayType::size_type gdcm::PresentationContext::SizeType

## ◆ TransferSyntaxArrayType

typedef std::vector<std::string> gdcm::PresentationContext::TransferSyntaxArrayType

## Constructor & Destructor Documentation

## ◆ PresentationContext() [1/2]

gdcm::PresentationContext::PresentationContext | ( |  | ) |

Referenced by operator==().

## ◆ PresentationContext() [2/2]

gdcm::PresentationContext::PresentationContext | ( | UIDs::TSName | asname,
|  | UIDs::TSName | tsname = UIDs::ImplicitVRLittleEndianDefaultTransferSyntaxforDICOM )

Initialize Presentation Context with AbstractSyntax set to asname and with a single TransferSyntax set to tsname (default to Implicit VR LittleEndian when not specified ).

References gdcm::UIDs::ImplicitVRLittleEndianDefaultTransferSyntaxforDICOM.

## Member Function Documentation

## ◆ AddTransferSyntax()

void gdcm::PresentationContext::AddTransferSyntax | ( | const char * | tsstr | ) |

## ◆ GetAbstractSyntax()

const char * gdcm::PresentationContext::GetAbstractSyntax | ( |  | ) | const
| inline

References AbstractSyntax.

## ◆ GetNumberOfTransferSyntaxes()

SizeType gdcm::PresentationContext::GetNumberOfTransferSyntaxes | ( |  | ) | const
| inline

References TransferSyntaxes.

## ◆ GetPresentationContextID()

uint8_t gdcm::PresentationContext::GetPresentationContextID | ( |  | ) | const

## ◆ GetTransferSyntax()

const char * gdcm::PresentationContext::GetTransferSyntax | ( | SizeType | i | ) | const
| inline

References TransferSyntaxes.

## ◆ operator==()

bool gdcm::PresentationContext::operator== | ( | const PresentationContext & | pc | ) | const
| inline

References PresentationContext(), AbstractSyntax, gdcm_assert, and TransferSyntaxes.

## ◆ Print()

void gdcm::PresentationContext::Print | ( | std::ostream & | os | ) | const

## ◆ SetAbstractSyntax()

void gdcm::PresentationContext::SetAbstractSyntax | ( | const char * | absyn | ) |
| inline

References AbstractSyntax.

## ◆ SetPresentationContextID()

void gdcm::PresentationContext::SetPresentationContextID | ( | uint8_t | id | ) |

## Member Data Documentation

## ◆ AbstractSyntax

std::string gdcm::PresentationContext::AbstractSyntax
| protected

Referenced by GetAbstractSyntax(), operator==(), and SetAbstractSyntax().

## ◆ ID

uint8_t gdcm::PresentationContext::ID
| protected

## ◆ TransferSyntaxes

std::vector<std::string> gdcm::PresentationContext::TransferSyntaxes
| protected

Referenced by GetNumberOfTransferSyntaxes(), GetTransferSyntax(), and operator==().

The documentation for this class was generated from the following file:

- gdcmPresentationContext.h